import React from "react";
import { Tooltip, useTheme } from "@material-ui/core";
import {
  Brightness1,
  RadioButtonUnchecked,
  HelpOutline
} from "@material-ui/icons";

export function RecordStatusIcon({ record }) {
  const theme = useTheme();

  let { pvStatus } = record;

  const iconConfig = {
    active: {
      title: "Active",
      icon: <Brightness1 />
    },
    inactive: {
      title: "Inactive",
      icon: <RadioButtonUnchecked />
    },
    null: {
      title: "Unknown",
      icon: <HelpOutline />
    }
  };

  let state = pvStatus ? pvStatus.toLowerCase() : null;
  const iconStyle = { fill: theme.palette.status.icons };
  const iconTitle = iconConfig[state].title;
  const statusIcon = iconConfig[state].icon;

  return (
    <Tooltip
      title={iconTitle}
      style={iconStyle}
    >
      {statusIcon}
    </Tooltip>
  );
}
